config:
  directory: ../..

projects:
  laravel/framework:
    source:
      type: git
      url: https://github.com/laravel/framework.git
      reference: master
      success_only: true
    install:
      - composer config version "12.x-dev"
      - composer require "phpunit/phpunit:~12.4.0" "orchestra/testbench-core:^10" "carbonphp/carbon-doctrine-types:*" "psr/clock:^1.0" "symfony/clock:^7.0|^8.0" "symfony/polyfill-mbstring:^1.0" "symfony/translation:^7.0|^8.0" --prefer-dist --no-interaction --prefer-stable
      - composer update --prefer-dist --no-interaction --prefer-stable
    script:
      # Disable trigger_deprecation() in console/Application.php until Laravel fix the deprecation
      - sed -i 's/trigger_deprecation/#trigger_deprecation/g' vendor/symfony/console/Application.php
      - sed -i 's/testRouteCanBeFilteredByAction/skipTestRouteCanBeFilteredByAction/g' tests/Testing/Console/RouteListCommandTest.php
      # Run the test
      - vendor/bin/phpunit --no-coverage
